SmpFileNameParser (SMP Provider 1.1.1-3.10.1 API)
Date: 2016-03-03

org.apache.commons.vfs2.provider

## Class SmpFileNameParser

- java.lang.Object
- - org.apache.commons.vfs2.provider.AbstractFileNameParser
  - - org.apache.commons.vfs2.provider.HostFileNameParser
    - - org.apache.commons.vfs2.provider.SmpFileNameParser

- All Implemented Interfaces:
    org.apache.commons.vfs2.provider.FileNameParser

      public class SmpFileNameParser
      extends org.apache.commons.vfs2.provider.HostFileNameParser

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `SmpFileNameParser.Authority` Parsed authority info (scheme, hostname, userinfo, port)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmpFileNameParser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SmpFileNameParser.Authority` | `extractToPath(String uri, StringBuilder name)`
    `static org.apache.commons.vfs2.provider.FileNameParser` | `getInstance()`
    `org.apache.commons.vfs2.FileName` | `parseUri(org.apache.commons.vfs2.provider.VfsComponentContext context, org.apache.commons.vfs2.FileName base, String filename)`

    - ### Methods inherited from class org.apache.commons.vfs2.provider.HostFileNameParser

      `extractHostName, extractPort, extractUserInfo, getDefaultPort`

    - ### Methods inherited from class org.apache.commons.vfs2.provider.AbstractFileNameParser

      `encodeCharacter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SmpFileNameParser

          public SmpFileNameParser()

  - ### Method Detail

    - #### parseUri

          public org.apache.commons.vfs2.FileName parseUri(org.apache.commons.vfs2.provider.VfsComponentContext context,
                                                  org.apache.commons.vfs2.FileName base,
                                                  String filename)
                                                    throws org.apache.commons.vfs2.FileSystemException

      Specified by:
        `parseUri` in interface `org.apache.commons.vfs2.provider.FileNameParser`
      Overrides:
        `parseUri` in class `org.apache.commons.vfs2.provider.HostFileNameParser`
      Throws:
        `org.apache.commons.vfs2.FileSystemException`

    - #### extractToPath

          protected SmpFileNameParser.Authority extractToPath(String uri,
                                                  StringBuilder name)
                                                       throws org.apache.commons.vfs2.FileSystemException

      Overrides:
        `extractToPath` in class `org.apache.commons.vfs2.provider.HostFileNameParser`
      Throws:
        `org.apache.commons.vfs2.FileSystemException`

    - #### getInstance

          public static org.apache.commons.vfs2.provider.FileNameParser getInstance()

Copyright © 2016. All Rights Reserved.